Public Class fmAutomateURL

    Private Sub btnOpen_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOpen.Click
        Try
            lblStatus.Text = "Loading your requested URL..."
            wb.Navigate("http://www.coderewind.com", False)
            While wb.ReadyState <> WebBrowserReadyState.Complete
                Application.DoEvents()
            End While
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub btnClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClose.Click
        Try
            wb.Dispose()
            Application.Exit()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub btnLogin_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLogin.Click
        lblStatus.Text = "Processing Auto Login on CodeRewind. Please Wait...."
        Dim elm As System.Windows.Forms.HtmlElement
        Try
            'Loop through all the elements to find the required fields and set the values
            For i As Integer = 0 To wb.Document.All.Count - 1
                elm = wb.Document.All.Item(i)

                If Not elm.TagName Is Nothing Then
                    If elm.TagName.ToUpper() = "INPUT" Then
                        If CType(elm, System.Windows.Forms.HtmlElement).Name = "login_user" Then 'Get User ID Element
                            CType(elm, System.Windows.Forms.HtmlElement).InnerText = "test@test.com"
                        ElseIf CType(elm, System.Windows.Forms.HtmlElement).Name = "login_pass" Then 'Get Password Element
                            CType(elm, System.Windows.Forms.HtmlElement).InnerText = "test"
                        End If
                    End If
                End If
            Next

            Application.DoEvents()
            wb.Document.Forms("formLogin").InvokeMember("submit")
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub wb_DocumentCompleted(ByVal sender As System.Object, ByVal e As System.Windows.Forms.WebBrowserDocumentCompletedEventArgs) Handles wb.DocumentCompleted
        lblStatus.Text = "Command Successfully Completed!"
    End Sub

    Private Sub btnLogout_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLogout.Click
        Try
            lblStatus.Text = "Logging Out from CodeRewind. Please Wait.."
            wb.Navigate("http://www.coderewind.com/?logout", False)
            While wb.ReadyState <> WebBrowserReadyState.Complete
                Application.DoEvents()
            End While
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        Try
            wb.Navigate("http://www.coderewind.com", True)
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub btnAbout_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAbout.Click
        AboutBox1.ShowDialog()
    End Sub
End Class
